JMSDiExtraBundle
================

Introduction
------------

JMSDiExtraBundle adds more powerful dependency injection features to Symfony2:

- configure dependency injection via annotations
- convention-based dependency injection in controllers
- aspect-oriented programming capabilities for controllers

Documentation
-------------

.. toctree ::
    :hidden:

    installation
    configuration
    usage
    doctrine
    annotations

- :doc:`Installation <installation>`
- :doc:`Configuration <configuration>`
- :doc:`Usage <usage>`
- :doc:`Doctrine Integration <doctrine>`
- :doc:`Annotations <annotations>`

License
-------

The code is released under the business-friendly `Apache2 license`_.

Documentation is subject to the `Attribution-NonCommercial-NoDerivs 3.0 Unported
license`_.

.. _Apache2 license: http://www.apache.org/licenses/LICENSE-2.0.html
.. _Attribution-NonCommercial-NoDerivs 3.0 Unported license: http://creativecommons.org/licenses/by-nc-nd/3.0/

